MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023556Community[OCCT] OCCT:Data Exchangepublic2012-11-15 13:102013-04-29 15:21
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023556: Identical sub-expressions to the left and to the right of the '||' operator
DescriptionIn IGESGraph_TextFontdef.cxx, line 44.

The condition:
(allMovePenToX->Lower() != 1 || allMovePenToX->Length() != Len)'

occurs twice.

Without having this analyzed too deeply, I think the other condition should read:

(allMovePenToY->Lower() != 1 || allMovePenToY->Length() != Len)'
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0022266)
Pawel (developer)
2012-11-15 13:14

Pushed branch CR23556. Please review.
(0022342)
abv (manager)
2012-11-22 10:45

No remarks, please test
(0022370)
mkv (tester)
2012-11-23 13:05

Dear BugMaster,
Branch CR23556 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master bd7ad48c
Timestamp: 2012-11-23 11:57:25
Author: Pawel
Details ] Diff ]
0023556: Identical sub-expressions to the left and to the right of the '||' operator

The second condition changed to: (allMovePenToY->Lower() != 1 || allMovePenToY->Length() != Len)
mod - src/IGESGraph/IGESGraph_TextFontDef.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-15 13:10 Pawel New Issue
2012-11-15 13:10 Pawel Assigned To => Pawel
2012-11-15 13:14 Pawel Note Added: 0022266
2012-11-15 13:14 Pawel Assigned To Pawel => bugmaster
2012-11-15 13:14 Pawel Status new => resolved
2012-11-22 10:28 bugmaster Assigned To bugmaster => abv
2012-11-22 10:45 abv Note Added: 0022342
2012-11-22 10:45 abv Assigned To abv => bugmaster
2012-11-22 10:45 abv Status resolved => reviewed
2012-11-22 13:45 mkv Assigned To bugmaster => mkv
2012-11-23 13:05 mkv Note Added: 0022370
2012-11-23 13:06 mkv Test case number => Not needed
2012-11-23 13:06 mkv Assigned To mkv => bugmaster
2012-11-23 13:06 mkv Status reviewed => tested
2012-11-26 15:45 Pawel Changeset attached => occt master bd7ad48c
2012-11-26 15:45 Pawel Assigned To bugmaster => Pawel
2012-11-26 15:45 Pawel Status tested => verified
2012-11-26 15:45 Pawel Resolution open => fixed
2012-12-10 17:16 Pawel Changeset attached => occt master bd7ad48c
2013-04-23 13:37 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker